/* eslint-disable @typescript-eslint/no-unused-vars */
import React, { useEffect, useState } from 'react';
import { ReactWidget } from '@jupyterlab/apputils';
import { App, JupyterProvider } from '@h5web/app';
import { ServerConnection } from '@jupyterlab/services';
import { h5webIcon } from './constants';
// Render the App twice on mount as the CSS is not loaded at first render.
function TwoRenderApp() {
    const [isFirstRender, setIsFirstRender] = useState(true);
    useEffect(() => {
        setIsFirstRender(false);
    }, []);
    if (isFirstRender) {
        return React.createElement(React.Fragment, null);
    }
    return React.createElement(App, null);
}
class H5webApp extends ReactWidget {
    constructor(filePath) {
        super();
        this.addClass('jp-ReactWidget');
        this.filePath = filePath;
        this.title.icon = h5webIcon;
    }
    render() {
        const { baseUrl } = ServerConnection.makeSettings();
        return (React.createElement("div", { className: "h5web-root" },
            React.createElement(JupyterProvider, { url: baseUrl.endsWith('/') ? baseUrl.slice(0, -1) : baseUrl, filepath: this.filePath },
                React.createElement(TwoRenderApp, null))));
    }
}
export default H5webApp;
